Saltar al contenido principal
GET
/
v1
/
organizations
/
{organization_id}
/
ledgers
/
{ledger_id}
/
accounts
/
{account_id}
/
operations
Listar Operaciones por Cuenta
curl --request GET \
  --url https://ledger.sandbox.lerian.net/v1/organizations/{organization_id}/ledgers/{ledger_id}/accounts/{account_id}/operations \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: <content-type>'
{
  "items": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "transactionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "ledgerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "accountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "accountAlias": "<string>",
      "balanceId": "<string>",
      "balanceKey": "<string>",
      "description": "<string>",
      "type": "CREDIT",
      "assetCode": "<string>",
      "chartOfAccounts": "<string>",
      "route": "<string>",
      "amount": {
        "value": "<string>"
      },
      "balance": {
        "available": "<string>",
        "onHold": "<string>",
        "version": 123
      },
      "balanceAfter": {
        "available": "<string>",
        "onHold": "<string>",
        "version": 123
      },
      "status": {
        "code": "<string>",
        "description": "<string>"
      },
      "balanceAffected": true,
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "deletedAt": "2023-11-07T05:31:56Z",
      "metadata": {}
    }
  ],
  "next_cursor": "<string>",
  "limit": 123
}

Autorizaciones

Authorization
string
header
requerido

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Encabezados

Authorization
string

El token de autorización. Este encabezado es requerido si su entorno tiene el Access Manager habilitado.

Content-Type
string
requerido

El tipo de medio del recurso. Debe ser application/json.

X-Request-Id
string<uuid>

Un identificador único utilizado para rastrear y seguir cada solicitud.

Parámetros de ruta

organization_id
string
requerido

The unique identifier of the Organization associated with the Ledger.

ledger_id
string
requerido

The unique identifier of the associated Ledger.

account_id
string
requerido

The unique identifier of the account of which you want to retrieve the balances.

Parámetros de consulta

limit
string
requerido

El número máximo de elementos a incluir en la respuesta.

start_date
string

El inicio del período que desea recuperar. También debe incluir el end_date.

end_date
string

El fin del período que desea recuperar. También debe incluir el start_date.

sort_order
enum<enum>

El orden utilizado para ordenar los resultados.

Opciones disponibles:
asc,
desc
cursor
string

La posición en un conjunto de datos donde debe comenzar la siguiente página de resultados.

type
enum<enum>

The type of operation.

Opciones disponibles:
CREDIT,
DEBIT,
ON_HOLD,
RELEASE

Respuesta

Indica que la solicitud fue exitosa y la respuesta contiene los datos esperados.

items
object[]
next_cursor
string

La posición en un conjunto de datos de la siguiente página de resultados.

limit
integer

El número máximo de elementos incluidos en la respuesta.